Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to master grimoire by Andraž Levstik (49ffbfab1be080f992c9db18a53d3bf856c9022f)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Andraž Levstik <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to master grimoire by Andraž Levstik (49ffbfab1be080f992c9db18a53d3bf856c9022f)
  • Date: Tue, 24 Mar 2009 07:43:06 -0500

GIT changes to master grimoire by Andraž Levstik <ruskie AT codemages.net>:

net/wicd/HISTORY | 5 +++++
net/wicd/init.d/wicd | 26 ++++++++++++++++++--------
utils/dbus/HISTORY | 3 +++
utils/dbus/init.d/smgl-messagebus | 4 ++--
4 files changed, 28 insertions(+), 10 deletions(-)

New commits:
commit 49ffbfab1be080f992c9db18a53d3bf856c9022f
Author: Andraž Levstik <ruskie AT codemages.net>
Commit: Andraž Levstik <ruskie AT codemages.net>

dbus: updated init script

commit 6f76f5abe12c7b4874843635a7809327f7cbd80d
Author: Andraž Levstik <ruskie AT codemages.net>
Commit: Andraž Levstik <ruskie AT codemages.net>

wicd: updated init script

diff --git a/net/wicd/HISTORY b/net/wicd/HISTORY
index 869e456..a64c9d1 100644
--- a/net/wicd/HISTORY
+++ b/net/wicd/HISTORY
@@ -1,3 +1,8 @@
+2009-03-24 Andraž "ruskie" Levstik <ruskie AT mages.ath.cx>
+ * init.d/wicd: made the init script actually usable even
+ if the pid file is left in the dust... Also in case there is
+ no dir for it init script needs to make sure that it can do it
+
2009-03-03 Julien "_kaze_" ROZO <julien AT rozo.org>
* BUILD: fixed .desktop installation paths for KDE 3.x and 4.x,
fixed .desktop installation path for KDE 4.x autostart,
diff --git a/net/wicd/init.d/wicd b/net/wicd/init.d/wicd
index a71b356..bad284a 100644
--- a/net/wicd/init.d/wicd
+++ b/net/wicd/init.d/wicd
@@ -9,18 +9,28 @@ PIDFILE="/var/run/wicd/wicd.pid"
. /etc/init.d/smgl_init

start() {
- if [ -e $PIDFILE ]; then
- echo "Wicd appears to already be running."
- echo "If this is not the case, then remove "
- echo "$PIDFILE and try again..."
- exit 1
- else
- echo "Starting wicd daemon..."
- $PROGRAM 2>/dev/null 1>&2
+ echo "Starting wicd..."
+ mkdir -p $(dirname $PIDFILE)
+ # make sure there is actually a process there...
+ if [ -f $PIDFILE ]; then
+ echo "Found $PIDFILE doing extra checks..."
+ if ! ps ax | grep "wicd " | grep -q $(cat $PIDFILE) ; then
+ print_status warning "$PIDFILE exists, but wicd is not running under
this PID"
+ echo "Attempting cleanup and new startup..."
+ rm -f $PIDFILE
+ else
+ echo "Seems to be running..."
+ return 0
+ fi
fi
+ # don't use loadproc here, as that fails if some user is running
+ # a session bus
+ $PROGRAM $ARGS
evaluate_retval
}

+}
+
stop() {
echo "Stopping wicd daemon..."
if [ -e $PIDFILE ]; then
diff --git a/utils/dbus/HISTORY b/utils/dbus/HISTORY
index 83e0b48..d0e0531 100644
--- a/utils/dbus/HISTORY
+++ b/utils/dbus/HISTORY
@@ -1,3 +1,6 @@
+2009-03-24 Andraž "ruskie" Levstik <ruskie AT mages.ath.cx>
+ * init.d/smgl-messagebus: minor fixup for the init script
+
2009-02-28 Andraž "ruskie" Levstik <ruskie AT mages.ath.cx>
* init.d/smgl-messagebus: made it more resiliant and actually
fail if it can't start instead of always succeeding and thus
diff --git a/utils/dbus/init.d/smgl-messagebus
b/utils/dbus/init.d/smgl-messagebus
index fbc4551..8fa7b36 100755
--- a/utils/dbus/init.d/smgl-messagebus
+++ b/utils/dbus/init.d/smgl-messagebus
@@ -10,11 +10,11 @@ PIDFILE=/var/run/dbus/pid

start() {
echo "Starting system message bus..."
- mkdir -p /var/run/dbus
+ mkdir -p $(dirname $PIDFILE)
# make sure there is actually a process there...
if [ -f $PIDFILE ]; then
echo "Found $PIDFILE doing extra checks..."
- if ! ps ax | grep "dbus-daemon" | grep -q $(cat /var/run/dbus/pid) ; then
+ if ! ps ax | grep "dbus-daemon" | grep -q $(cat $PIDFILE) ; then
print_status warning "$PIDFILE exists, but messagebus is not running
under this PID"
echo "Attempting cleanup and new startup..."
rm -f $PIDFILE



  • [SM-Commit] GIT changes to master grimoire by Andraž Levstik (49ffbfab1be080f992c9db18a53d3bf856c9022f), Andraž Levstik, 03/24/2009

Archive powered by MHonArc 2.6.24.

Top of Page